package com.izouma.nineth.event;

import com.izouma.nineth.dto.NFT;
import org.springframework.context.ApplicationEvent;

public class MintedEvent extends ApplicationEvent {

    private final Long assetId;
    private final NFT  nft;


    public MintedEvent(Object source, Long assetId, NFT nft) {
        super(source);
        this.assetId = assetId;
        this.nft = nft;
    }

    public Long getAssetId() {
        return assetId;
    }

    public NFT getNft() {
        return nft;
    }
}
